# -*- encoding utf-8 -*-

#selon le cas de configuration (quelle librairie ?), utiliser toujours le meme nom
try:
    import pyodbc as lib_sql
except:
    import sqlite3 as lib_sql

#ouvrir une connexion avec le serveur.
#Attention : une ressource ODBC du nom PostgreSQL35W doit exiter sur le serveur de tests
connexion = lib_sql.connect('DSN=PostgreSQL35W;SERVER=127.0.0.1;PORT:5432;DATABASE=ifremer;UID=postgres;PWD=password')
#ouvrir une transaction
c = connexion.cursor()
#lancer des requetes SQL
c.execute('CREATE TABLE valeurs_sonde (longitude real, latitude real, valeur real)')
#valider les requetes SQL (base de donnees non modifiee tant que pas de commit)
connexion.commit()
#fermer la connexion (toujours !)
connexion.close()